org.icefaces.ace.component.fileentry

## Class FileEntryRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.icefaces.ace.component.fileentry.FileEntryRenderer

-     public class FileEntryRenderer
      extends javax.faces.render.Renderer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileEntryRenderer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
    `void` | `encodeBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
    `protected void` | `writeMultipleButton(javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent uiComponent, boolean disabled, java.lang.String label, java.lang.String buttonType, java.lang.String buttonClass, java.lang.String iconClass, java.lang.String id)`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, encodeChildren, encodeEnd, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileEntryRenderer

          public FileEntryRenderer()

  - ### Method Detail

    - #### encodeBegin

          public void encodeBegin(javax.faces.context.FacesContext facesContext,
                                  javax.faces.component.UIComponent uiComponent)
                           throws java.io.IOException

      Overrides:
        `encodeBegin` in class `javax.faces.render.Renderer`
      Throws:
        `java.io.IOException`

    - #### writeMultipleButton

          protected void writeMultipleButton(javax.faces.context.ResponseWriter writer,
                                             javax.faces.component.UIComponent uiComponent,
                                             boolean disabled,
                                             java.lang.String label,
                                             java.lang.String buttonType,
                                             java.lang.String buttonClass,
                                             java.lang.String iconClass,
                                             java.lang.String id)
                                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### decode

          public void decode(javax.faces.context.FacesContext facesContext,
                             javax.faces.component.UIComponent uiComponent)

      Overrides:
        `decode` in class `javax.faces.render.Renderer`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.